/*******************************************************************************
* Copyright 2008 LSI Corporation.
*
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the
* Free Software Foundation,  version 2 of the License.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
********************************************************************************/
/*******************************************************************************

NAME            mppLnx26_shared.h
SUMMARY         %description%
VERSION         %version: 13 %
UPDATE DATE     %date_modified: Tue Jul 29 17:56:28 2008 %
PROGRAMMER      %created_by:    harshi %

        Copyright 2005, Engenio Information Technologies, Inc.

DESCRIPTION:
   This header file contains definitions that are shared by the Linux MPP
   virtual HBA driver and the Linux MPP upper level driver. The definitions,
   which are defined in this header file, are not used by the MPP common APIs.
INCLUDE FILES:

NOTES:

RESTRICTIONS:

SEE ALSO:

REFERENCE:

IMPLEMENTATION:

MODIFICATION HISTORY:

*******************************************************************************/


#ifndef __INCmppLnx_shared
#define __INCmppLnx_shared


/***  INCLUDES  ***/
#include "MPP_Common.h"

/***  CONSTANT DEFINITIONS  ***/
#define MPPLNX_PROC_NAME               "mpp"

/***  MACRO DEFINITIONS  ***/


/***  TYPE DEFINITIONS  ***/

/***  GLOBALS  ***/
extern struct mpp_Config_Parameters mppLnx_Config_Parameters;

/***  FUNCTION DECLARATION ***/
extern VOID mpp_ConvertWWNtoAscii(BYTE *AsciiWWN, BYTE *ArrayWWN);

typedef enum {
        ADD_DEVICE,
        DEL_DEVICE
} HOT_PLUG_TYPE;

typedef struct _mpp_hot_plug_event {
        struct  list_head       list;
        struct scsi_device      *device;
	spinlock_t		*hot_plug_lock;
        HOT_PLUG_TYPE           event_type;
} mpp_hot_plug_event;

extern struct list_head mpp_hot_plug_list;
extern spinlock_t mpp_hot_plug_spin_lock;

#endif        /* End of __INCmppLnx_shared */
