/*******************************************************************************
* Copyright 2004-2007  LSI Logic Corporation
*
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the
* Free Software Foundation,  version 2 of the License.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
********************************************************************************/
/*******************************************************************************

NAME            mppUtil26_sysdep.h
SUMMARY         %description%
VERSION         %version: 4 %
UPDATE DATE     %date_modified: Wed Jan 16 11:35:49 2008 %
PROGRAMMER      %created_by:    jwendel %

        Copyright 2004, Engenio Information Technologies, Inc.

DESCRIPTION: System Dependent Header file to support the mppUtil Utility

INCLUDE FILES:

NOTES:

RESTRICTIONS:

SEE ALSO:

REFERENCE:

IMPLEMENTATION:

MODIFICATION HISTORY:

*******************************************************************************/

#ifndef __INCmppUtil_Sysdep
#define __INCmppUtil_Sysdep

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <fcntl.h>
#include <errno.h>
#include <unistd.h>
#include <time.h>
#include <linux/types.h>
#include <linux/stat.h>

#include <string.h>
#include <sys/stat.h>
#include <unistd.h>
#include <linux/kdev_t.h>
#include <dirent.h>

/***  INCLUDES  ***/  

/***  CONSTANT DEFINITIONS  ***/
#define __SRCmppUtil_Sysdep

/***  MACRO DEFINITIONS  ***/
#define TRUE                               1
#define FALSE                              0

#define MPPSYS_UTIL_USAGE   "[-I hostid] [-V] [-U]" /* [-C] is also an option but is not displayed in Usage */ 
#define MPPSYS_UTIL_CMDLINE_ARGS	"I:CVU"
#define MPPUPPER_SYS_FILE "/sys/class/mppUpper/mppUpper/dev"
#define MPP_MAX_PATH 200
#define MPPSYS_UTIL_WWN_DIR_NAME "/var/mpp/"

typedef char * MPP_STRING;
typedef int HANDLE;
typedef int MPP_FILE_HANDLE;
typedef struct tm tm_t;
#define MPP_OPEN_FILE_ERROR -1

/* rdac uses the following data structure. This definition is to resolve the compilation problem */
typedef struct { volatile int counter; } atomic_t;
typedef atomic_t MPPSYS_ATOMIC_T;      


/***  TYPE DEFINITIONS  ***/

typedef struct mppLnx_FileAttributes
{
   char              *fileName;
   char              *version;
   char              *digest;
}  mppLnx_FileAttributes_t;


int utilMakeMppDevNode(void);
/***  GLOBALS  ***/ 

#endif 			/* End of __INCmppUtil_Sysdep */


